/*
* This file is part of Firestorm NIDS
* Copyright (c) 2001 Gianni Tedesco
*
*    Firestorm is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    Firestorm is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with Firestorm; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef __PKT_ICMP_HEADER_INCLUDED__
#define __PKT_ICMP_HEADER_INCLUDED__

typedef struct fs_icmphdr{
	u_int8_t	type;
	u_int8_t	code;
	u_int16_t	csum;
	union {
		u_int32_t gateway;
		
		struct {
			u_int16_t id;
			u_int16_t seq;
		}echo;

		struct {
			u_int16_t unused;
			u_int16_t mtu;
		}frag;

		struct {
			u_int8_t  num_addr;
			u_int8_t  wpa;
			u_int16_t lifetime;
		}advert;
	}un;
}fs_icmphdr_t, *p_icmp;

#endif /* __PKT_ICMP_HEADER_INCLUDED__ */
